from math import isqrt

liczba_owiec = int(input())
czas_powiekszania_tratwy = isqrt(liczba_owiec - 1)
czas_transportu = czas_powiekszania_tratwy + 1
if czas_powiekszania_tratwy * czas_transportu < liczba_owiec:
    czas_powiekszania_tratwy += 1
print(czas_powiekszania_tratwy + czas_transportu)
